Loading...
Searching...
No Matches
Halide::Internal::RefCount Class Reference

A class representing a reference count to be used with IntrusivePtr. More...

`#include <IntrusivePtr.h>`

## Public Member Functions

| RefCount () noexcept
int | increment ()
int | decrement ()
bool | is_const_zero () const
int | atomic_get () const

## Detailed Description

A class representing a reference count to be used with IntrusivePtr.

Definition at line 19 of file IntrusivePtr.h.

## Constructor & Destructor Documentation

## RefCount()

Halide::Internal::RefCount::RefCount | ( |  | ) |

inline noexcept

Definition at line 23 of file IntrusivePtr.h.

## Member Function Documentation

## increment()

int Halide::Internal::RefCount::increment | ( |  | ) |

inline

Definition at line 26 of file IntrusivePtr.h.

## decrement()

int Halide::Internal::RefCount::decrement | ( |  | ) |

inline

Definition at line 29 of file IntrusivePtr.h.

## is_const_zero()

bool Halide::Internal::RefCount::is_const_zero | ( |  | ) | const

inline

Definition at line 32 of file IntrusivePtr.h.

## atomic_get()

int Halide::Internal::RefCount::atomic_get | ( |  | ) | const

inline

Definition at line 35 of file IntrusivePtr.h.

Referenced by Halide::Internal::IntrusivePtr< const BoundContents >::is_sole_reference().

The documentation for this class was generated from the following file:

- src/IntrusivePtr.h